Skip to main content
GET
/
crm
/
v3
/
imports
Get active imports
curl --request GET \
  --url https://api.hubapi.com/crm/v3/imports/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "mappedObjectTypeIds": [
        "<string>"
      ],
      "metadata": {
        "counters": {},
        "fileIds": [
          "<string>"
        ],
        "objectLists": [
          {
            "listId": "<string>",
            "objectType": "<string>"
          }
        ]
      },
      "optOutImport": true,
      "state": "CANCELED",
      "updatedAt": "2023-11-07T05:31:56Z",
      "importName": "<string>",
      "importRequestJson": {},
      "importSource": "API",
      "importTemplate": {
        "templateId": 123,
        "templateType": "admin_defined"
      }
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

limit
integer<int32>

The maximum number of results to display per page.

Response

successful operation

results
object[]
required
paging
object
Last modified on February 12, 2026